#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    for(int i=0; i<n; i++){
        string s;
        cin>>s;
        vector<int>v(52, 0);
        for(int j=0; j<s.size(); j++){
            if(s[j]<'z'&&s[j]>'a'){
                v[s[j]-'a']++;
            }
            else{
                v[s[j]-'A'+26]++;
            }
        }
        int br=0;
        for(int j=0; j<52; j++){
            if(v[j]%2!=0){
                br++;
            }
        }
        if(br==0||(s.size()%2==1&&br==1)){
            cout<<1;
        }
        else{
            cout<<0;
        }
    }
    return 0;
}
